Bug 245609 - multimedia/qt5-multimedia: make install fail
Summary: multimedia/qt5-multimedia: make install fail
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-13 21:17 UTC by rozhuk.im
Modified: 2020-04-15 02:26 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
v1 (980 bytes, patch)
2020-04-14 05:28 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2020-04-13 21:17:47 UTC
===>   Registering installation for qt5-multimedia-5.14.2 as automatic
pkg-static: Unable to access file /tmp/ports/usr/ports/multimedia/qt5-multimedia/work/stage/usr/local/lib/cmake/Qt5MultimediaGstTools/Qt5MultimediaGstToolsConfig.cmake:No such file or directory
pkg-static: Unable to access file /tmp/ports/usr/ports/multimedia/qt5-multimedia/work/stage/usr/local/lib/cmake/Qt5MultimediaGstTools/Qt5MultimediaGstToolsConfigVersion.cmake:No such file or directory
pkg-static: Warning: @exec is deprecated, please use @[pre|post][un]exec
*** Error code 74
Comment 1 Tobias C. Berner freebsd_committer 2020-04-14 04:47:13 UTC
Moin moin 

This is not enough information. What's the option set you have selected for the port?


mfg Tobias
Comment 2 Tobias C. Berner freebsd_committer 2020-04-14 05:28:14 UTC
Created attachment 213383 [details]
v1

Moin moin 

could you try the attached patch?

mfg Tobias
Comment 3 rozhuk.im 2020-04-14 06:13:45 UTC
Yes, this help, thanks!
Comment 4 commit-hook freebsd_committer 2020-04-14 14:55:54 UTC
A commit references this bug:

Author: tcberner
Date: Tue Apr 14 14:55:46 UTC 2020
New revision: 531695
URL: https://svnweb.freebsd.org/changeset/ports/531695

Log:
  multimedia/qt5-multimedia: fix GSTREAMER=off plist

  PR:		245609
  Reported by:	 rozhuk.im@gmail.com

Changes:
  head/multimedia/qt5-multimedia/pkg-plist
Comment 5 Tobias C. Berner freebsd_committer 2020-04-14 14:56:01 UTC
Committed. Thanks for the report.
Comment 6 rozhuk.im 2020-04-15 02:26:42 UTC
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=241812

This is second time for same problem.
Probably maintainer should write some note/comment to not forget in next time this detail.